%define pythonver 2.4

%define pythonsitedir %{_libdir}/python%{pythonver}/site-packages
%define pythonpkg python
%define minor %{nil}

%define qtversion 3.3.5
%define qtpkg qt
%define sip_version 4.5
%define pyqt_version 3.16

%global momorel 1

%if "%{pythonver}" == "2.4"
%define pythonprog /usr/bin/python2.4
%else
%define pythonprog /usr/bin/python
%endif

Summary: Python bindings for KDE
Name: PyKDE
Version: 3.16.0
Release: %{momorel}m
License: GPL
Group: Development/Languages
Url: http://www.riverbankcomputing.co.uk/pykde/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%NoSource 0 http://www.riverbankcomputing.com/Downloads/PyKDE3/%{name}-%{version}.tar.gz 92fa0f7d6063dc2aad97d5302975ca76

BuildRequires: sip-devel >= %{sip_version}
BuildRequires: PyQt-devel >= %{pyqt_version}
BuildRequires: qt-devel >= %{qtversion}
BuildRequires: kdelibs-devel
BuildRequires: %{pythonpkg}-devel >= %{pythonver}%{minor}
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libXmu-devel

Requires: %{pythonpkg} >= %{pythonver}%{minor}
Requires: qt >= %{qtversion}
Requires: sip

%description
These are Python bindings for KDE.

%package devel
Summary: Files needed to build other bindings based on KDE
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
Group: Development/Languages

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the KDE classes.

%package examples
Summary: Examples for PyKDE
Requires: %{name} = %{version}-%{release}
Group: Development/Languages

%description examples
Examples code demonstrating how to use the Python bindings for Qt.

%prep
%setup -q -n %{name}-%{version}

%build
QTDIR="" && . /etc/profile.d/qt.sh

%pythonprog configure.py -d %{pythonsitedir}


# Makefiles are broken, workaround
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
sed -i -e "/^.*ln -sf.*libkonsolepart.so.*/d" Makefile
sed -i -e "/^.*ldconfig/d" Makefile
make install DESTDIR=%{buildroot}
(cd %{buildroot}%{_libdir}
ln -s kde3/libkonsolepart.so libkonsolepart.so
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/*
%{_libdir}/libkonsolepart.so
%{pythonsitedir}/*

%files devel
%defattr(-,root,root)
%{_datadir}/sip/*
%doc doc

%files examples
%defattr(-,root,root)
%doc examples

%changelog
* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.16.0-1m)
- separated from kdebindings
